Subject: Re: [MMUSIC] TIAS Bandwidth in draft-ietf-mmusic-sdp-mux-attributes-10

From: Magnus Westerlund <[email-masked]>
Date: Thu, 17 Dec 2015 16:34:02 +0100

Den 2015-09-22 kl. 23:25, skrev Suhas Nandakumar:
> Hello Magnus
>
>    Many thanks for the analysis and sorry for the delayed response.
>    I agree with you on the overhead across bundle group being same and
> go with multiply first and sum next.
>
> Given that, I see the current assignment is SPECIAL and the note
> clarifies the point.
>
> So the question is should we keep the current assignment and note same
> or are you recommending a change in them ?

Hi,

Prodded by WG shepherd.

I think SPECIAL should be retained, but the procedure on how to derive 
the value should be clarified so that it always work. As noted, if one 
calculate the product on a per m= basis then sum across the media blocks 
in the bundle, one will arrive at correct value.

And the errors in the description needs to be corrected. I also think 
one should note why the order matters, so that people who have the same 
overhead don't go "hu, that looks strange and wrong".

Cheers

Magnus

>
> Cheers
> Suhas
>
> On Fri, Sep 11, 2015 at 7:28 AM, Magnus Westerlund
> <[email-masked] <mailto:[email-masked]>>
> wrote:
>
>     Hi,
>
>     I looked at Section 6.3 of draft-ietf-mmusic-sdp-mux-attributes-10
>     and reacted to the below text.
>
>         NOTE: The intention of TIAS is that the media level bit-rate is
>         multiplied with the known per-packet overhead for the selected
>         transport and the maxprate value to determine the worst case
>     bit-rate
>         from the transport to more accurately capture the required usage.
>         Summing TIAS values independently across "m=" lines and multiplying
>         the computed sum with maxprate and the per-packet overhead would
>         inflate the value significantly.  Instead performing multiplication
>         and adding the individual values is a more appropriate usage.
>
>     First, there is no difference between multiplying on m= block basis
>     and then summing versus first making the additions of the maxprate
>     and then multiplying given that the overhead value is the same for
>     all m= blocks.
>
>     Only if the overhead value is different do one need to multiply on
>     m= block basis first and then adding the values together. However,
>     based on the definition for overhead and how bundle groups work, I
>     don't really expect different overhead values.
>
>     It might be best to recommend that one does perform the
>     multiplication first and then addition between m= blocks to be
>     certain. But, I think the motivation should be more in case there
>     should arise future cases where overhead may have different values
>     within a bundle group.
>
>     Comments?
>
>     cheers
>
>     Magnus Westerlund
>
>     ----------------------------------------------------------------------
>     Services, Media and Network features, Ericsson Research EAB/TXM
>     ----------------------------------------------------------------------
>     Ericsson AB                 | Phone +46 10 7148287
>     <tel:%2B46%2010%207148287>
>     Färögatan 6                 | Mobile +46 73 0949079
>     <tel:%2B46%2073%200949079>
>     SE-164 80 Stockholm, Sweden | mailto: [email-masked]
>     <mailto:[email-masked]>
>     ----------------------------------------------------------------------
>
>     _______________________________________________
>     mmusic mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/mmusic
>
>

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------